Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7091 - --grow and --maxsize don't work with 6.1 KickStart
Summary: --grow and --maxsize don't work with 6.1 KickStart
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-17 23:51 UTC by Don
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-22 17:05:11 UTC


Attachments (Terms of Use)

Description Don 1999-11-17 23:51:28 UTC
On a 4G drive the partitions defined in the ks.cfg on the boot floppy are
as such;
clearpart --all
part / --size 150
part /var --size 80 --grow --maxsize 100
part /usr --size 700 --grow --maxsize 800
part swap --size 128 --grow --maxsize 200
part /tmp --size 100 --grow

What I get is;
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda5               155545     43856    103659  30% /
/dev/sda7               388693        32    368582   0% /tmp
/dev/sda1              2727572    645024   1943992  25% /usr
/dev/sda8               326682      9582    300234   3% /var

Filename                        Type            Size    Used    Priority
/dev/sda6                       partition       522072  0       -1

The / partition is correct, however everything else is skewed slightly. Not
that it seemed to choose sizes correctly, I just don't understand why it
didn't stop with a 100M /var, an 800M /usr, a 200M swap and give the rest
to /tmp.

Is there an explination behind this? Below is the ks.cfg in its entirety.

Thanks for the help,

Don

Don Byington
Synopsys, Inc.
donby@synopsys.com




lang en_US
network --bootproto static --ip 198.182.34.205 --netmask 255.255.255.0
--gateway 198.182.34.1 --nameserver 198.182.34.11
nfs --server pdxuxfs16.pdxuxbre.lmc.com --dir /q-bigfs/KickStart/6.1
keyboard us
zerombr yes
clearpart --all
part / --size 150
part /var --size 80 --grow --maxsize 100
part /usr --size 700 --grow --maxsize 800
part swap --size 128 --grow --maxsize 200
part /tmp --size 100 --grow
install
mouse generic3ps/2
timezone --utc US/Pacific
xconfig --monitor "Dell Ultrascan 21FS" --startxonboot
rootpw blah
auth --enablenis --nisdomain pdxuxbre.lmc.com --nisserver 198.182.34.11
--useshadow
lilo --location mbr
%packages
@ Networked Workstation
@ Development
@ X Window System
@ KDE
@ GNOME
@ Mail/WWW/News Tools
@ Multimedia Support
@ Extra Documentation
sysklogd
net-tools
netkit-base
ftp
fortune-mod
rdate
%post
rdate -s 198.182.34.13
echo "Synopsys NCS Beaverton Kickstart-installed Red Hat Linux `/bin/date`"
> /etc/motd
mkdir /ks.mnt
mount pdxuxfs16.pdxuxbre.lmc.com:/q-bigfs/KickStart/6.1 /ks.mnt
cd /
/ks.mnt/post-install.pl
umount /ks.mnt
rmdir /ks.mnt

Comment 1 Jay Turner 1999-11-29 18:51:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Hannu Martikka 2000-01-27 10:05:59 UTC
Is somebody really fixing this probelm?
It's been reported since 1999-11-17 and even the rawhide still has this problem.

Comment 3 Jay Turner 2000-02-22 17:04:59 UTC
Issues are resolved in the latest installer (available in beta.)


Note You need to log in before you can comment on or make changes to this bug.